/*********************************************************************
 gfilt.h (c) 2006 by Turku PET Centre
 Kaisa Sederholm
 Header for Gaussian filter.

  Version:
  2006-08-08 Kaisa Sederholm

 **********************************************************************/

#ifndef _GFILT_H
#define _GFILT_H
/*****************************************************************************/
#include <img.h>
/*****************************************************************************/
extern float **imgGaussKernel(int size);
extern void imgFreeKernel(float **kernel, int size);
extern void imgConvoluteData(float ***data, float **buffer, int frame, int width, int height, float **kernel, int size);
extern int imgConvolute(IMG *img, int frame, int plane, float **kernel, int size);

/*****************************************************************************/
#endif /* _GFILT_H */

